﻿<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
						 xmlns:views="clr-namespace:WM.UserInterface.Views"
             x:Class="WM.UserInterface.Views.PageRolePermissionView"
						 Background="#bfbfbf">

	<StackPanel>

		<Grid  Margin="10" RowDefinitions=".1*, .1*, *, .1*">

			<TextBlock Grid.Row="0" FontSize="24" TextWrapping="Wrap" FontWeight="SemiBold" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=role_permission_title}"/>

			<Grid Grid.Row="1" ColumnDefinitions=".3*, .3*, .3*, .3*, *">
				<ComboBox Margin="5" Grid.Column="0" Width="150" Name="propertyList" Items="{Binding PropertySearchItems}" SelectedItem="{Binding SearchType}"/>
				<TextBox Margin="5" Grid.Column="1"  Width="150" FontSize="14" Text="{Binding SearchValue, Mode=TwoWay}"/>
				<Button Margin="5" Grid.Column="2" IsEnabled="{Binding #propertyList.SelectedItem, Converter={x:Static ObjectConverters.IsNotNull}}" Command="{Binding SearchItems}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Filter}"/>
				<Button Margin="5" Grid.Column="3" Command="{Binding ClearFilters}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Clear}"/>
			</Grid>

			<DataGrid IsReadOnly="True" Height="400" Margin="10" Grid.Row="2" Name="main_grid" MinColumnWidth="85" SelectedItem="{Binding SelectedItem, Mode=TwoWay}" Items="{Binding Items}"/>

			<Grid Grid.Row="3" ColumnDefinitions=".1*, .1*, *, .1*">
				<Button Margin="5" Grid.Column="0" Command="{Binding OnAddClick}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Add}"/>
				<Button Margin="5" Grid.Column="1" Command="{Binding OnEditClick}" IsEnabled="{Binding #main_grid.SelectedItem, Converter={x:Static ObjectConverters.IsNotNull}}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Edit}"/>
				<Button Margin="5" Grid.Column="3" Command="{Binding OnDeleteClick}" Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Delete}"/>
			</Grid>

		</Grid>

		<Popup Name="EditPopup" IsOpen="{Binding PopupOpen, Mode=TwoWay}" HorizontalOffset="350" VerticalOffset="-650" StaysOpen="False" ObeyScreenEdges="True" Topmost="True" Width="350" Height="350" Margin="20">
			<Border Background="LightGray" BorderBrush="Gray" BorderThickness="1" Padding="20" >
				<StackPanel>
					<TextBlock Margin="10" FontSize="20" IsVisible="{Binding !CreatePopup}" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=Popup.EditTitle}" HorizontalAlignment="Center" FontWeight="Bold"></TextBlock>
					<TextBlock Margin="10" FontSize="20" IsVisible="{Binding CreatePopup}" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=Popup.AddTitle}" HorizontalAlignment="Center" FontWeight="Bold"></TextBlock>

					<DockPanel Margin="0 10 0 0" IsVisible="{Binding !CreatePopup}">
						<TextBlock DockPanel.Dock="Left" FontSize="20" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=RolePermission.Id}"></TextBlock>
						<TextBox  DockPanel.Dock="Right" IsEnabled="False" FontSize="14" HorizontalAlignment="Right" Width="110" Watermark="Valor" Text="{Binding #main_grid.SelectedItem.Id, Mode=TwoWay}"/>
					</DockPanel>

					<DockPanel Margin="0 10 0 0">
						<TextBlock DockPanel.Dock="Left" FontSize="20" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=RolePermission.RoleDefinition}"></TextBlock>
						<views:UCPopupGridSelector DockPanel.Dock="Right" HorizontalAlignment="Right"  Width="120" FontSize="14" Items="{Binding RoleDefinitions}" SelectedItem="{Binding #main_grid.SelectedItem.RoleDefinition, Mode=TwoWay}"/>
					</DockPanel>

					<DockPanel Margin="0 10 0 0">
						<TextBlock DockPanel.Dock="Left" FontSize="20" Text="{Binding, Converter={StaticResource translator}, ConverterParameter=RolePermission.Permission}"></TextBlock>
						<views:UCPopupGridSelector DockPanel.Dock="Right" HorizontalAlignment="Right"  Width="120" FontSize="14" Items="{Binding Permissions}" SelectedItem="{Binding #main_grid.SelectedItem.Permission, Mode=TwoWay}"/>
					</DockPanel>

					<TextBlock Margin="5" FontSize="14" Text="{Binding ErrorMessage, Mode=TwoWay}" Foreground="Red"/>

					<DockPanel Margin="0 30 0 0">
						<Button DockPanel.Dock="Left" Command="{Binding ClosePopup}"  Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.Cancel}" Width="80" Height="35" />
						<Button DockPanel.Dock="Right" Command="{Binding OnConfirm}"  Content="{Binding, Converter={StaticResource translator}, ConverterParameter=Button.OK}" HorizontalAlignment="Right" Width="80" Height="35" />
					</DockPanel>
				</StackPanel>
			</Border>
		</Popup>

	</StackPanel>

</UserControl>
